Version=`cat VERSION`
echo "version = $Version"

#############################
## static library

cd libsrc
nmake /f msofts.mak clean
nmake Version=$Version /f msofts.mak
nmake /f msofts.mak test

cd ../fortran
nmake /f msofts.mak clean
nmake /f msofts.mak
nmake /f msofts.mak test

cd ../nctest
nmake /f msofts.mak clean
nmake /f msofts.mak test

cd ../nc_test
nmake /f msofts.mak clean
nmake /f msofts.mak test

cd ../nf_test
nmake /f msofts.mak clean
nmake /f msofts.mak test

cd ../ncdump
nmake /f msofts.mak clean
nmake /f msofts.mak

cd ../ncgen
nmake /f msofts.mak clean
nmake /f msofts.mak

cd ../ncdump
nmake /f msofts.mak clean
nmake /f msofts.mak test

cd ../ncgen
nmake /f msofts.mak clean
nmake /f msofts.mak test

exit

15) Install:
   Copy libsrc\netcdf.lib to a LIBRARY directory.
   Copy libsrc\netcdf.h and fortran/netcdf.inc to an INCLUDE directory.
   Copy libsrc\netcdf.dll, ncdump/ncdump.exe, and ncgen/ncgen.exe to
   a BIN directory (someplace in your PATH).

===
Static Libraries:

There are make files called "msofts.mak" that create and use a static version of the
netcdf library, named "netcdfs.lib".  If you use these makefiles, ncgen and ncdump 
will be statically linked.  DLLs are shared, so are more efficient, but you must be sure
that they can be found in your PATH.

To make the static library versions, repeat all steps above except use "msofts.mak" 
instead of "msoft.mak". The library will be name netcdfs.lib, and the bins will be named
ncgens.exe and ncdumps.exe. You can rename them if you like to the usual names.

===
Macros:

Always define NDEBUG to turn off our assertions.

libsrc\netcdf.h:
	Define DLL_NETCDF whenever the netcdf library is a DLL.
	Also define DLL_EXPORT when you are building the library itself.

fortran\
	Set defines thus
	 /D "DLL_EXPORT" /D FCALLSC_QUALIFIER="__declspec(dllexport) __stdcall"
	if you building the fortran interfaces to put in a DLL.

fortran\ and nf_test\:
	Define VISUAL_CPLUSPLUS so cfortran.h and nf_test.F know what to do.

=====
Notes.

When running the nc_test suite of tests using O2 optimization, you may see two
messages that you can ignore:

...
*** Testing nc_put_vars_float ... 
	FAILURE at line 5314 of test_put.c: range error: status = 0
 1194 good comparisons. 
	### 1 FAILURES TESTING nc_put_vars_float! ###
...

*** Testing nc_put_varm_float ... 
	FAILURE at line 6637 of test_put.c: range error: status = 0
 1194 good comparisons. 
	### 1 FAILURES TESTING nc_put_varm_float! ###